MarcSource (marc4j)
Keywords: org.marc4j.marcxml.MarcSource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.marcxml
Class MarcSource

    java.lang.Object
      org.marc4j.marcxml.MarcSource

All Implemented Interfaces:
  Source

public class MarcSource
extends Object
implements Source

`MarcSource` is a MARC input source for non-MARCXML conversions.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters

Field Summary
`static String` | `FEATURE`

Constructor Summary
`MarcSource()` Default constructor
`MarcSource(File file)` Create a new instance.
`MarcSource(InputStream stream)` Create a new instance.
`MarcSource(MarcReader marcReader, File file)` Create a new instance.
`MarcSource(MarcReader marcReader, InputStream stream)` Create a new instance.
`MarcSource(MarcReader marcReader, Reader reader)` Create a new instance.
`MarcSource(MarcReader marcReader, String systemID)` Create a new instance.
`MarcSource(Reader reader)` Create a new instance.
`MarcSource(String systemID)` Create a new instance.

Method Summary
`InputStream` | `getInputStream()` Returns the InputStream object.
`MarcReader` | `getMarcReader()` Returns the MarcReader object.
`String` | `getPublicId()` Returns the public identifier.
`Reader` | `getReader()` Returns the Reader object.
`String` | `getSystemId()` Returns the system identifier.
`void` | `setInputStream(InputStream stream)` Sets the InputStream object.
`void` | `setMarcReader(MarcReader marcReader)` Sets the MarcReader object.
`void` | `setPublicId(String publicID)` Sets the public identifier.
`void` | `setReader(Reader reader)` Sets the Reader object.
`void` | `setSystemId(File file)` Sets the File object.
`void` | `setSystemId(String systemID)` Sets the system identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final String FEATURE

See Also:
  Constant Field Values

Constructor Detail

### MarcSource

    public MarcSource()

  Default constructor

### MarcSource

    public MarcSource(File file)

  Create a new instance.

Parameters:
  `file` - the `File` object

### MarcSource

    public MarcSource(MarcReader marcReader,
                      File file)

  Create a new instance.

Parameters:
  `marcReader` - the `MarcReader` object
  `file` - the `File` object

### MarcSource

    public MarcSource(InputStream stream)

  Create a new instance.

Parameters:
  `stream` - the `InputStream` object

### MarcSource

    public MarcSource(MarcReader marcReader,
                      InputStream stream)

  Create a new instance.

Parameters:
  `marcReader` - the `MarcReader` object
  `stream` - the `InputStream` object

### MarcSource

    public MarcSource(Reader reader)

  Create a new instance.

Parameters:
  `reader` - the `Reader` object

### MarcSource

    public MarcSource(MarcReader marcReader,
                      Reader reader)

  Create a new instance.

Parameters:
  `marcReader` - the `MarcReader` object
  `reader` - the `Reader` object

### MarcSource

    public MarcSource(String systemID)

  Create a new instance.

Parameters:
  `systemID` - the system identifier

### MarcSource

    public MarcSource(MarcReader marcReader,
                      String systemID)

  Create a new instance.

Parameters:
  `marcReader` - the `MarcReader` object
  `systemID` - the system identifier

Method Detail

### getInputStream

    public InputStream getInputStream()

  Returns the InputStream object.

  Returns:
    InputStream - the InputStream object

### getPublicId

    public String getPublicId()

  Returns the public identifier.

  Returns:
    String - the public identifier

### getReader

    public Reader getReader()

  Returns the Reader object.

  Returns:
    Reader - the Reader object

### getSystemId

    public String getSystemId()

  Returns the system identifier.

  Specified by:
    `getSystemId` in interface `Source`
  Returns:
    String - the system identifier

### getMarcReader

    public MarcReader getMarcReader()

  Returns the MarcReader object.

  Returns:
    MarcReader - the MarcReader object

### setMarcReader

    public void setMarcReader(MarcReader marcReader)

  Sets the MarcReader object.

  Parameters:
    `marcReader` - the `MarcReader` object

### setInputStream

    public void setInputStream(InputStream stream)

  Sets the InputStream object.

  Parameters:
    `stream` - the `InputStream` object

### setPublicId

    public void setPublicId(String publicID)

  Sets the public identifier.

  Parameters:
    `publicID` - the public identifer

### setReader

    public void setReader(Reader reader)

  Sets the Reader object.

  Parameters:
    `reader` - the `Reader` object

### setSystemId

    public void setSystemId(File file)

  Sets the File object.

  Parameters:
    `file` - the `File` object

### setSystemId

    public void setSystemId(String systemID)

  Sets the system identifier.

  Specified by:
    `setSystemId` in interface `Source`
  Parameters:
    `systemID` - the system identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.